/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * ConsumerElectronicsQuotesRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class ConsumerElectronicsQuotesRequest {
  @SerializedName("context")
  private Model166 context = null;

  @SerializedName("product_criteria")
  private Model167 productCriteria = null;

  @SerializedName("device_criteria")
  private DeviceCriteria deviceCriteria = null;

  public ConsumerElectronicsQuotesRequest context(Model166 context) {
    this.context = context;
    return this;
  }

   /**
   * Get context
   * @return context
  **/
  @ApiModelProperty(required = true, value = "")
  public Model166 getContext() {
    return context;
  }

  public void setContext(Model166 context) {
    this.context = context;
  }

  public ConsumerElectronicsQuotesRequest productCriteria(Model167 productCriteria) {
    this.productCriteria = productCriteria;
    return this;
  }

   /**
   * Get productCriteria
   * @return productCriteria
  **/
  @ApiModelProperty(required = true, value = "")
  public Model167 getProductCriteria() {
    return productCriteria;
  }

  public void setProductCriteria(Model167 productCriteria) {
    this.productCriteria = productCriteria;
  }

  public ConsumerElectronicsQuotesRequest deviceCriteria(DeviceCriteria deviceCriteria) {
    this.deviceCriteria = deviceCriteria;
    return this;
  }

   /**
   * Get deviceCriteria
   * @return deviceCriteria
  **/
  @ApiModelProperty(value = "")
  public DeviceCriteria getDeviceCriteria() {
    return deviceCriteria;
  }

  public void setDeviceCriteria(DeviceCriteria deviceCriteria) {
    this.deviceCriteria = deviceCriteria;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ConsumerElectronicsQuotesRequest consumerElectronicsQuotesRequest = (ConsumerElectronicsQuotesRequest) o;
    return Objects.equals(this.context, consumerElectronicsQuotesRequest.context) &&
        Objects.equals(this.productCriteria, consumerElectronicsQuotesRequest.productCriteria) &&
        Objects.equals(this.deviceCriteria, consumerElectronicsQuotesRequest.deviceCriteria);
  }

  @Override
  public int hashCode() {
    return Objects.hash(context, productCriteria, deviceCriteria);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ConsumerElectronicsQuotesRequest {\n");
    
    sb.append("    context: ").append(toIndentedString(context)).append("\n");
    sb.append("    productCriteria: ").append(toIndentedString(productCriteria)).append("\n");
    sb.append("    deviceCriteria: ").append(toIndentedString(deviceCriteria)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

